using Application.Abstractions.Messaging;
using Application.Abstractions.Data;
using Microsoft.EntityFrameworkCore;

namespace Application.Features.Admin.Member.Wallet.Transactions.Delete;

public sealed class Handler(IAppDbContext db) : ICommandHandler<Command>
{
    public async Task Handle(Command request, CancellationToken ct)
    {
        await db.WalletTransaction.Where(x => request.IDs.Contains(x.ID)).ExecuteDeleteAsync(ct);
    }
}